%{expand:%%define version %(php -v 2>/dev/null)}
%define phpdir %{_libdir}/php 
%define phpsource /usr/src/php-devel
%define release 1mdk

Summary:	XSLT module for PHP4
Name:		php-xslt
Version:	%{version}
Release:	%{release}
Group:		System/Servers
License:	PHP License
Url: 		http://www.php.net
Source0:	foo.xml
Source1:	foo.xsl
Source2:	run.php
Prereq:		php-common = %{version}
Prereq:		perl
Requires:	libsablotron0 >= 0.90
BuildRequires:  php-devel = %{version}
BuildRequires:	libexpat-devel
BuildRequires:	libsablotron0-devel
BuildRoot:	%{_tmppath}/%{name}-root

%define _docdir %{_datadir}/doc/%{name}-%{version}

%description
The php-xslt package is a dynamic shared object (DSO) that adds XSL
(eXtensible Stylesheet Language) support to PHP4. XSLT (XSL Tranformation) 
is designed for use as part of XSL, which is a stylesheet language for XML.
PHP4 is an HTML-embedded scripting language. If you need XSLT support for PHP4
applications, you will need to install this package in addition
to the php package.

%build
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
[ -e ./xslt ] && rm -fr ./xslt
cp -dpR %{phpsource}/extensions/xslt .
cd xslt
%{phpsource}/buildext xslt "xslt.c sablot.c" "-lsablot -lexpat" \
    "-DCOMPILE_DL_XSLT -DHAVE_XSLT -DHAVE_SABLOT_BACKEND \
    -DHAVE_DLFCN_H -DHAVE_LIBEXPAT2 -DHAVE_SABLOT_SET_ENCODING"

%install
cd xslt
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
mkdir -p %{buildroot}%{phpdir}/extensions
mkdir -p %{buildroot}%{_docdir}

install -m755 xslt.so %{buildroot}%{phpdir}/extensions/

cat > %{buildroot}%{_docdir}/README.php-xslt <<EOF
The php-xslt package contains a dynamic shared object (DSO) for PHP4. 
To activate it, make sure the line 'extension = xslt.so' is uncommented
in your /etc/php.ini file.
EOF

install -m644 %{SOURCE0} %{buildroot}%{_docdir}/
install -m644 %{SOURCE1} %{buildroot}%{_docdir}/
install -m644 %{SOURCE2} %{buildroot}%{_docdir}/
install -m644 README.XSLT-BACKENDS %{buildroot}%{_docdir}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ -e ./xslt ] && rm -fr ./xslt

%post
alias FIXME="perl -pi -e"
if [ $1 = "1" ]; then
  if [ -f %{_sysconfdir}/php.ini ]; then
    FIXME 's|^;extension\s*=\s*xslt.so|extension = xslt.so|' %{_sysconfdir}/php.ini
    LINE=`grep xslt\.so %{_sysconfdir}/php.ini |grep extension`
    if [ "x$LINE" = "x" ]; then
      echo extension = xslt.so >> %{_sysconfdir}/php.ini
    fi
  fi
fi
if [ $1 -gt 1 ]; then
   #We're in *upgrade mode*. Since we can't be sure the configuration files
   #are sane, remove module from the conf files to clean them, re-add again
   #in a way that the older module we're replacing won't try to erase (the
   #post scripts were broken on some packages)
   #Also, there could be extra lines, so make sure we uncomment one
   #Finally, don't check for presence of php.ini, if it's not there,
   #we have a problem, so it should generate an error message.
   FIXME 's|^extension\s*=\s*xslt.so|;extension = xslt.so|g' %{_sysconfdir}/php.ini
   FIXME 's|^;extension\s*=\s*xslt.so|extension = xslt.so|' %{_sysconfdir}/php.ini
fi

%preun
alias FIXME="perl -pi -e"
if [ $1 = "0" ]; then
  if [ -f %{_sysconfdir}/php.ini ]; then
    FIXME 's|^extension\s*=\s*xslt.so|;extension = xslt.so|g' %{_sysconfdir}/php.ini
  fi
fi

%files 
%defattr(-,root,root)
%doc %{_docdir}/README.php-xslt
%doc %{_docdir}/README.XSLT-BACKENDS
%doc %{_docdir}/foo.x*
%doc %{_docdir}/run.php
%{phpdir}/extensions/xslt.so

%changelog
* Sat Sep  7 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.3-1mdk
- 4.2.3 maintenance release
- Do not reload apache

* Thu Aug 22 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.2-1mdk
- Rebuild for 4.2.2
- Macroize a bit more, make version depend on "php -v"

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2.1-4mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Fri Jul 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2.1-3mdk
- Automated rebuild with gcc3.2

* Sun May 26 2002 Christian Belisle <cbelisle@mandrakesoft.com> 4.2.1-2mdk
- updated by Oden Eriksson <oden.eriksson@kvikkjokk.net>
	- misc spec file fixes

* Tue May 21 2002 Christian Belisle <cbelisle@mandrakesoft.com> 4.2.1-1mdk
- updated by Oden Eriksson <oden.eriksson@kvikkjokk.net>
	- misc spec file fixes
	- PHP 4.2.1

* Mon Apr 29 2002 Christian Belisle <cbelisle@mandrakesoft.com> 4.2.0-1mdk
- updated by Oden Eriksson <oden.eriksson@kvikkjokk.net>:
	- misc spec file fixes
	- PHP 4.2.0

* Mon Mar 04 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.1.2-1mdk
- PHP 4.1.2

* Thu Jan 17 2002 Christian Belisle <cbelisle@mandrakesoft.com> 4.1.1-2mdk
- Rebuild against sablotron 0.81.

* Mon Jan 07 2002 Christian Belisle <cbelisle@mandrakesoft.com> 4.1.1-1mdk
- PHP 4.1.1.

* Tue Dec 11 2001 Christian Belisle <cbelisle@mandrakesoft.com> 4.1.0-1mdk
- PHP 4.1.0.
- Added version check for libsablotron0.

* Tue Nov 13 2001 Stefan van der Eijk <stefan@eijk.nu> 4.0.6-7mdk
- BuildRequires: libexpat-devel

* Mon Nov 12 2001 Philippe Libat <philippe@mandrakesoft.com> 4.0.6-6mdk
- link with expat

* Mon Nov 12 2001 Philippe Libat <philippe@mandrakesoft.com> 4.0.6-5mdk
- new module XSLT integration
